<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Make predictions from a model</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for predict {SparkR}"><tr><td>predict {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Make predictions from a model</h2>

<h3>Description</h3>

<p>Makes predictions from a model produced by glm(), similarly to R's predict().
</p>


<h3>Usage</h3>

<pre>
predict(object, ...)

## S4 method for signature 'PipelineModel'
predict(object, newData)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>object</code></td>
<td>
<p>A fitted MLlib model</p>
</td></tr>
<tr valign="top"><td><code>newData</code></td>
<td>
<p>DataFrame for testing</p>
</td></tr>
</table>


<h3>Value</h3>

<p>DataFrame containing predicted values
</p>


<h3>Examples</h3>

<pre>
## Not run: 
model &lt;- glm(y ~ x, trainingData)
predicted &lt;- predict(model, testData)
showDF(predicted)

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
